# parsl.launchers.MpiExecLauncher

class parsl.launchers.MpiExecLauncher(debug: bool = True, bind_cmd: str = '--bind-to', overrides: str = '')

  Worker launcher that wraps the user’s command with the framework to launch multiple command invocations via mpiexec.

  This wrapper sets the bash env variable CORES to the number of cores on the machine.

  This launcher makes the following assumptions: - mpiexec is installed and can be located in $PATH - The provider makes available the $PBS_NODEFILE environment variable

  __init__(debug: bool = True, bind_cmd: str = '--bind-to', overrides: str = '')
    Parameters:

      - bind_cmd (str) – Name of the argument for binding ranks to CPUs

      - overrides (str) – Additional arguments to add to the invocation

  Methods

  `__init__`([debug, bind_cmd, overrides])

  param bind_cmd:

    Name of the argument for binding ranks to CPUs